Subject: Re: bug#67008: 30.0.50; Multiple major mode parents

From: Mattias Engdegård <[email-masked]>
Date: Fri, 17 Nov 2023 17:15:47 +0100

> Duplicates in the input imply a cyclic dependency, so it immediately
> fall into the case where the constraints can't be satisfied.

Yes, except these only sometimes result in the error function being called.
But perhaps checking this (duplicates in the input) should be the caller's responsibility.